%global momorel 6

Name:           natsuki-backgrounds
Version:        7.0.0
Release:        %{momorel}m%{?dist}
Summary:        Natsuki desktop backgrounds

Group:          Applications/Multimedia
License:        CC-BY-SA
URL:            http://www.momonga-linux.org
Source0:        %{name}-%{version}.tar.bz2
Source10:        hayabusa-metadata.desktop
Patch0:         %{name}-%{version}-add-two-links.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

# for %%_kde4_* macros
BuildRequires:  cmake
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}

Obsoletes:	momonga-backgrounds

%description
This package contains desktop backgrounds for the Natsuki theme. Pulls in both
Gnome and KDE themes.

%package        single
Summary:        Single screen images for Natsuki Backgrounds
Group:          Applications/Multimedia

%description    single
This package contains Single screen images for Natsuki Backgrounds.

%package        kde 
Summary:        Natsuki Wallpapers for KDE 
Group:          Applications/Multimedia
Provides:       system-backgrounds-kde

Requires:       %{name}-single = %{version}-%{release} 
Requires:       momonga-logos >= 7.0

%description    kde 
This package contains KDE desktop wallpapers for the Natsuki theme.

%package        gnome 
Summary:        Natsuki Wallpapers for Gnome 
Group:          Applications/Multimedia

Requires:       %{name}-single = %{version}-%{release} 
# FIXME: Which provides I should use?
Provides:        system-backgrounds
#Provides:        system-backgrounds-gnome

%description    gnome 
This package contains Gnome desktop wallpapers for the Natsuki theme.


%prep
%setup -q

%patch0 -p1 -b .add-links-for-kde

%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# links and metadatas of hayabuisa for KDE
mkdir -p %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1024x576.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1024x600.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-2048x1536.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1024x768.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-2048x1536.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1280x1024.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1280x800.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-2048x1536.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1400x1050.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1440x900.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-2048x1536.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1600x1200.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1680x1050.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1920x1080.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-1920x1200.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/1920x1200.jpg
ln -s ../../../../backgrounds/hayabusa/hayabusa-2048x1536.jpg %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/contents/images/800x600.jpg
install -m 644 %{SOURCE10} %{buildroot}%{_kde4_datadir}/wallpapers/Hayabusa/metadata.desktop

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc

%files single
%defattr(-,root,root,-)
%doc COPYING Credits
#There'll be also dual wallpapers in dual subpackage in the future, hence the 
# %%dir ownership is separated
%dir %{_datadir}/backgrounds/natsuki
%dir %{_datadir}/backgrounds/natsuki/default
%{_datadir}/backgrounds/natsuki/default/normalish
%{_datadir}/backgrounds/natsuki/default/standard
%{_datadir}/backgrounds/natsuki/default/wide

%files kde
%defattr(-,root,root,-)
%{_kde4_datadir}/wallpapers

%files gnome
%defattr(-,root,root,-)
%{_datadir}/backgrounds/natsuki/default/natsuki.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-natsuki.xml


%changelog
* Sun Sep  5 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.0.0-6m)
- add links of hayabusa to package kde

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (7.0.0-5m)
- full rebuild for mo7 release

* Wed Aug 18 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (7.0.0-4m)
- add Obsoletes: momonga-backgrounds

* Tue Aug 17 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.0.0-3m)
- own %%{_kde4_datadir}/wallpapers

* Sat Aug 14 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (7.0.0-2m)
- add two links for KDE

* Sat Aug 14 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (7.0.0-1m)
- Initial backgrounds package for Momonga Linux 7(Natsuki)
